getEcholinkAlarmList(data: GetEcholinkAlarmListParams)

Requires:
@tuya-miniapp/cloud-api≥1.7.3

Description

Retrieve a paginated list of device reminders

Parameters

ParameterTypeRequiredDescription
YesPOST request body parameters, encapsulated by Highway and sent in the body

Return Value

Type: Promise<GetEcholinkAlarmListResult>
Reminder pagination data; records are in the data field

Referenced Types

typeGetEcholinkAlarmListResult
EcholinkPageResult<EcholinkAlarm>

Examples

Request example

import { getEcholinkAlarmList } from '@tuya-miniapp/cloud-api';

getEcholinkAlarmList({
  deviceId: '6c2d6c752e72653f12yvh1',
  pageNo: 1,
  pageSize: 100,
}).then(result => {
  console.log(result);
});

Response example

{
  "data": [
    {
      "time": "15:00",
      "timeId": "1326101417473600003",
      "loops": "0000000",
      "theme": "Meeting",
      "date": "20261015"
    }
  ],
  "pageSize": 100,
  "total": 1,
  "pageNo": 1
}